mdraw_default_line_break(3m17n)

NAME
mdraw_default_line_break - Calculate a line breaking position.

SYNOPSIS
int mdraw_default_line_break (MText * mt, int pos, int from, int to, int line, int y)

DESCRIPTION
Calculate a line breaking position.

The function mdraw_default_line_break() calculates a line breaking position based on the line number line and the coordinate y, when a line is too long to fit within the width limit. pos is the position of the character next to the last one that fits within the limit. from is the position of the first character of the line, and to is the position of the last character displayed on the line if there were not width limit. line and y are reset to 0 when a line is broken by a newline character, and incremented each time when a long line is broken because of the width limit.

RETURN VALUE

    This function returns a character position to break the line.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.